# Standard Quadratic Horn & Schunk: 
echo "Standard Quadratic Horn & Schunk ..."
 ./HSMultiResol -h  -dx 64 -dy 64 -nbItTrace 0 -alphaInit 50 > Res/logOut_HS.txt
mv UV_HS.motion Res/UV_Standard_HS.motion 

# Robust (quasi L1 norm) Data and Regularization for Horn & Schunk model : 
echo "Robust (quasi L1 norm) Data and Regularization for Horn & Schunk model : ..."
 ./HSMultiResol -h -dx 64 -dy 64 -nbItTrace 0 -alphaInit 50 -norm 1 -sigma_obs 0.1 -normRegRob 1 -sigma_reg 0.1 > Res/logOut_RobustHS.txt
mv UV_HS.motion  Res/UV_RobustHS.motion 
mv UV_HSDataOut.pgm Res/UV_RobustHSDataOut.pgm 
mv UV_HSRegOutX.pgm Res/UV_RobustHSRegOutX.pgm
mv UV_HSRegOutY.pgm Res/UV_RobustHSRegOutY.pgm

# Standard Quadratic Horn & Schunk with Bayesian estimation of Regularization Hyperparameters:
echo "Standard Quadratic Horn & Schunk with Bayesian estimation of Regularization Hyperparameters ..."
 ./HSMultiResol -h  -dx 64 -dy 64 -sigmaAlphaEstim true -sigmaBetaEstim true -nbItTrace 30 -alphaInit 50 > Res/logOut_HS_BayesReg.txt
mv UV_HS.motion  Res/UV_Bayes_HS.motion 

# Robust Quadratic Horn & Schunk with Bayesian estimation of Regularization Hyperparameters:
echo "Robust Quadratic Horn & Schunk with Bayesian estimation of Regularization Hyperparameters ..."
./HSMultiResol -h  -dx 64 -dy 64 -sigmaAlphaEstim true -sigmaBetaEstim true -nbItTrace 30 -alphaInit 50 -norm 1 -sigma_obs 0.1 -normRegRob 1 -sigma_reg 0.1  > Res/logOut_RobustHS_BayesReg.txt
mv UV_HS.motion  Res/UV_Bayes_HS.motion 
mv UV_HSDataOut.pgm Res/UV_BayesReg_RobustHSDataOut.pgm 
mv UV_HSRegOutX.pgm Res/UV_BayesReg_RobustHSRegOutX.pgm
mv UV_HSRegOutY.pgm Res/UV_BayesReg_RobustHSRegOutY.pgm

# Robust Quadratic Horn & Schunk with Bayesian estimation of Regularization and M-estimators Hyperparameters:
echo "Robust Quadratic Horn & Schunk with Bayesian estimation of Regularization and M-estimators Hyperparameters ..."
 ./HSMultiResol -h  -dx 64 -dy 64 -sigmaAlphaEstim true -sigmaBetaEstim true -nbItTrace 30 -alphaInit 50  -norm 1 -sigma_obs 0.1 -normRegRob 1 -sigma_reg 0.1  > Res/logOut_RobustHS_BayesAll.txt
mv UV_HS.motion  Res/UV_Bayes_HS.motion 
mv UV_HSDataOut.pgm Res/UV_BayesAll_RobustHSDataOut.pgm 
mv UV_HSRegOutX.pgm Res/UV_BayesAll_RobustHSRegOutX.pgm
mv UV_HSRegOutY.pgm Res/UV_BayesAll_RobustHSRegOutY.pgm


